﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Data"] == null)
        {
            Session["Data"] = GetDepartments(5);
            WebDropDown1.DataSource = Session["Data"];
            WebDropDown1.DataBind();
        }
        else
        {
            WebDropDown1.DataSource = Session["Data"];
        }

        
    }

    private DataTable GetDepartments(int count)
    {
        DataTable dt = new DataTable("Departments");
        dt.Columns.Add("DepartmentID", typeof(int));
        dt.Columns.Add("DepartmentName", typeof(string));

        for (int i = 0; i < count; i++)
        {
            dt.Rows.Add(new object[] { i, string.Format("Department {0}", i) });
        }

        dt.PrimaryKey = new DataColumn[] { dt.Columns["DepartmentID"] };

        return dt;
    }
}